<div class="col-g-12">
    <div class="ui-g-12" style="margin-bottom: 10 px;"></div>
    <div class="ui-g-12" style="background-color:white; border: 1px solid black;">

        <div class="ui-g-12">
            <button pButton type="submit" label="Filter" icon="fa-filter" class="ui-button-primary flat-label-button"
                (click)="filter()">
            </button>
            <br />
            <br />
            <div id="legendwrapper">
                <div class="legend" style="display: flex;align-items: center; justify-content:center;">
                    <div class="legend-item target"
                        style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #FFFF00;">
                    </div>
                    <span style="margin-right: 10px;">Target</span>

                    <div class="legend-item po"
                        style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #0000FF;">
                    </div>
                    <span style="margin-right: 10px;">PO</span>

                    <div class="legend-item shipping"
                        style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #00FF00;">
                    </div>
                    <span style="margin-right: 10px;">Pengiriman</span>

                    <div class="legend-item payment"
                        style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #000000;">
                    </div>
                    <span>Pembayaran</span>
                </div>
            </div>
        </div>
        <div class="ui-g-12" style="margin-bottom: 10 px;" [hidden] = "currentGroupUSers === 'BDK' || currentGroupUSers === 'LSG'">
            <p-fieldset legend="Semua Distributor" [toggleable]="true">
                <div id="chartdivBarALl" style="height: 400px; width: 60%;"></div>
            </p-fieldset>
        </div>
        <div class="ui-g-12" style="margin-bottom: 10 px;" [hidden] = "currentGroupUSers === 'LSG'">
            <div class="ui-g-6" style="margin-bottom: 10 px;">
                <p-fieldset legend="Distributor Badak" [toggleable]="true">
                    <div id="chartdivBarAllBadak" style="height: 400px"></div>
                </p-fieldset>
            </div>
            <div class="ui-g-6" style="margin-bottom: 10 px;">
                <p-fieldset legend="Distributor Wilayah Badak" [toggleable]="true">
                    <div id="chartdivBarWilayahBadak" style="height: 400px"></div>
                </p-fieldset>
            </div>
        </div>
        <div class="ui-g-12" style="margin-bottom: 10 px;" [hidden] = "currentGroupUSers === 'BDK'">
            <div class="ui-g-6" style="margin-bottom: 10 px;">
                <p-fieldset legend="Distributor Lasegar" [toggleable]="true">
                    <div id="chartdivBarAllLasegar" style="height: 400px"></div>
                </p-fieldset>
            </div>
            <div class="ui-g-6" style="margin-bottom: 10 px;">
                <p-fieldset legend="Distributor Wilayah Lasegar" [toggleable]="true">
                    <div id="chartdivBarWilayahLasegar" style="height: 400px"></div>
                </p-fieldset>
            </div>
        </div>
    </div>
</div>
<div class="ui-g-12" style="background-color:white; border: 1px solid black; margin-bottom: 10 px;">
    <div class="ui-g-12">
        <h1>Target vs PO </h1>
    </div>
    <div class="ui-g-12" style="background-color:white; border: 1px solid black; margin-bottom: 10 px;">
        <div class="ui-g-12">
            <h1>Target vs PO </h1>
            <div class="ui-g-12" style="margin-bottom: 10 px;">
                <div style="text-align: center; ">
                    <h3> Distributor By Wilayah </h3>
                </div>
                <p-fieldset legend="Distributor Badak By Wilayah" [toggleable]="true" [hidden] = "currentGroupUSers === 'LSG'">
                    <div *ngFor="let badak of rayBadaks">
                        <div class="ui-g-12"
                            style="text-align: center; border: 1px solid black;  margin-bottom: 10 px;">
                            <h3> Distributor Badak {{badak.ray_desc1}}</h3>
                            <div id="chartdivBarBadak{{badak.ray_desc1}}" style="height: 400px;"></div>
                        </div>
                    </div>
                </p-fieldset>

                <!-- distributor lasegar by wilayah -->
                <p-fieldset legend="Distributor Lasegar By Wilayah" [toggleable]="true" [hidden] = "currentGroupUSers === 'BDK'">
                    <div *ngFor="let ls of rayLSs">
                        <div class="ui-g-12"
                            style="text-align: center; border: 1px solid black;  margin-bottom: 10 px;">
                            <h3> Distributor Lasegar {{ls.ray_desc1}}</h3>
                            <div id="chartdivBarLasegar{{ls.ray_desc1}}" style="height: 400px;"></div>
                        </div>
                    </div>
                </p-fieldset>
            </div>
        </div>
    </div>
</div>
<!-- </div> -->